import { RawTransaction, RpcClient, UnsignedTransaction } from '@ironfish/sdk';
import { IronfishCommand } from '../../../command';
export declare class TransactionViewCommand extends IronfishCommand {
    static description: string;
    static flags: {
        account: import("@oclif/core/lib/interfaces").OptionFlag<string | undefined>;
        transaction: import("@oclif/core/lib/interfaces").OptionFlag<string | undefined>;
    };
    start(): Promise<void>;
    selectAccount(client: Pick<RpcClient, 'wallet'>): Promise<string>;
    tryDeserializeRawTransaction(transaction: string): RawTransaction | undefined;
    tryDeserializeUnsignedTransaction(transaction: string): UnsignedTransaction | undefined;
}
//# sourceMappingURL=view.d.ts.map