import { RpcAsset, RpcAssetVerification, RpcClient } from '@ironfish/sdk';
type RenderAssetNameOptions = {
    verification?: RpcAssetVerification;
    outputType?: string;
};
export declare function renderAssetWithVerificationStatus(name: string, options?: RenderAssetNameOptions): string;
export declare function compareAssets(leftName: string, leftVerification: RpcAssetVerification, rightName: string, rightVerification: RpcAssetVerification): number;
export declare function selectAsset(client: Pick<RpcClient, 'wallet'>, account: string | undefined, options: {
    action: string;
    showNativeAsset: boolean;
    showNonCreatorAsset: boolean;
    showSingleAssetChoice: boolean;
    confirmations?: number;
}): Promise<{
    id: string;
    name: string;
} | undefined>;
export declare function getAssetVerificationByIds(client: Pick<RpcClient, 'wallet'>, assetIds: string[], account: string | undefined, confirmations: number | undefined): Promise<{
    [key: string]: RpcAssetVerification;
}>;
export declare function getAssetsByIDs(client: Pick<RpcClient, 'wallet'>, assetIds: string[], account: string | undefined, confirmations: number | undefined): Promise<{
    [key: string]: RpcAsset;
}>;
export {};
//# sourceMappingURL=asset.d.ts.map