import { Logger, RpcAssetVerification, RpcClient } from '@ironfish/sdk';
/**
 * This prompts the user to enter an amount of currency in the major
 * denomination and returns the value in the minor denomination
 */
export declare function promptCurrency(options: {
    client: Pick<RpcClient, 'wallet'>;
    text: string;
    logger: Logger;
    required: true;
    minimum?: bigint;
    assetId?: string;
    assetVerification?: RpcAssetVerification;
    balance?: {
        account?: string;
        confirmations?: number;
    };
}): Promise<bigint>;
//# sourceMappingURL=currency.d.ts.map