import { IronfishSdk, RawTransaction, RpcClient } from '@ironfish/sdk';
/**
 * Recalculates the average spendPostTime based on the new measurement.
 */
export declare function updateSpendPostTimeInMs(sdk: IronfishSdk, raw: RawTransaction, startTime: number, endTime: number): Promise<void>;
export declare function getSpendPostTimeInMs(sdk: IronfishSdk): number;
export declare function benchmarkSpendPostTime(sdk: IronfishSdk, client: RpcClient, account: string): Promise<number>;
//# sourceMappingURL=spendPostTime.d.ts.map