import { IronfishCommand } from '../../../command';
export declare class CombineNotesCommand extends IronfishCommand {
    static description: string;
    static flags: {
        fee: import("@oclif/core/lib/interfaces").OptionFlag<bigint | undefined>;
        feeRate: import("@oclif/core/lib/interfaces").OptionFlag<bigint | undefined>;
        memo: import("@oclif/core/lib/interfaces").OptionFlag<string | undefined>;
        notes: import("@oclif/core/lib/interfaces").OptionFlag<number | undefined>;
        confirm: import("@oclif/core/lib/interfaces").BooleanFlag<boolean>;
        watch: import("@oclif/core/lib/interfaces").BooleanFlag<boolean>;
        to: import("@oclif/core/lib/interfaces").OptionFlag<string | undefined>;
        account: import("@oclif/core/lib/interfaces").OptionFlag<string | undefined>;
        benchmark: import("@oclif/core/lib/interfaces").BooleanFlag<boolean>;
    };
    private selectNotesToCombine;
    private calculateExpiration;
    private getCurrentBlockSequence;
    start(): Promise<void>;
    private ensureUserHasEnoughNotesToCombine;
    private displayCombinedNoteHashes;
}
//# sourceMappingURL=combine.d.ts.map